---
title: marty.js v0.10
layout: post
author: James Hollingworth
author_url: http://github.com/jhollingworth
---

### New features

- Support react-native ([#230](https://github.com/martyjs/marty/issues/230))
- No singleton ([#261](https://github.com/martyjs/marty/issues/261))

### Deprecations

- Due to API incompatibility issues  `parseJSON` will be removed by default in future versions

### Removed

- `Marty.register()` is no longer needed, just return the type
- You will no longer be able to pass in a store or an object hash of stores into `Marty.createStateMixin`
- [Rollbacks](http://martyjs.org/v/0.9.0/api/stores/index.html#rollback) have been removed entirely
- [Store handler values](http://martyjs.org/api/stores/#handlers) can only be either a string or an array of strings. You cannot do complex object queries any more.
- `Marty.registry` is no longer supported. Use applications instead.
- `Marty.createContext()` is no longer supported. Use applications instead.
- `Marty.renderToString()` is no longer supported. Use `Application#renderToString()` instead
- `Store#rollback()` is no longer supported. You should instead dispatch an error action.
- `.for(this)` has been removed. Use applications instead.
- You no longer to specify `id`'s in the type. Instead define the Id on the `Application#register()`
- `require('marty').Dispatcher` is no longer supported. Create an application and access the [dispatcher](http://martyjs.org/api/application/index.html#dispatcher).
- `require('marty/http/hooks')` is no longer supported. Use `require('marty').hooks` instead
- `require('marty/environment')` is no longer supported. Use `require('marty').environment`
- `require('marty/fetch')` is no longer supported. Use `require('marty').fetch`
- `require('marty/when')` is no longer supported. Use `require('marty').when`
- `require('marty/autoDispatch')` is no longer supported. Use `require('marty').autoDispatch`
- `require('marty').Diagnostics` is no longer supported. Use `require('marty').diagnostics`